package jalview.ws2.operations;

import java.io.IOException;

import jalview.datamodel.AlignmentI;
import jalview.io.JPredFile;
import jalview.ws2.WSJob;
import jalview.ws2.WebServiceI;
import jalview.ws2.gui.JPredMenuBuilder;
import jalview.ws2.gui.MenuEntryProviderI;

public class JPredOperation extends AbstractOperation
{
  public static interface PredictionResultSupplier
  {
    public AlignmentI getAlignment(WSJob job) throws IOException;
    
    public JPredFile getPrediction(WSJob job) throws IOException;
  }
  
  PredictionResultSupplier predictionSupplier;
  
  public JPredOperation(WebServiceI service, String typeName,
      PredictionResultSupplier predictionSupplier)
  {
    super(service, typeName);
    this.predictionSupplier = predictionSupplier;
  }
  
  @Override
  public MenuEntryProviderI getMenuBuilder()
  {
    return new JPredMenuBuilder(this);
  }
}
